#
# spec file for package perl-Sys-LoadAvg
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Sys-LoadAvg
Version:        0.03
Release:        3.4
%define cpan_name Sys-LoadAvg
Summary:        Perl extension for accessing system CPU load averages
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/J/JE/JEREMY/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
Patch0:         0001-enhance-loadavg-array-from-2-to-3-doubles.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Module for accessing System load averages.

%prep
%autosetup -p1 -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Mon Mar  4 2024 pgajdos@suse.com
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Thu Dec 10 2020 Frank Schreiner <FSchreiner@suse.com>
- added 0001-enhance-loadavg-array-from-2-to-3-doubles.patch
  (Fixes: https://rt.cpan.org/Public/Bug/Display.html?id=120617)
- re-run cpanspec version 1.80.01
* Sat Dec 12 2015 p.drouand@gmail.com
- Initial relase (version 0.03)
